#ifndef TEST_WAV_INPUT_H
#define TEST_WAV_INPUT_H
// testWAVinput.h
/*
 * (c)2024 Forward Computing and Control Pty. Ltd.
 * NSW Australia, www.forward.com.au
 * This code is not warranted to be fit for any purpose. You may only use it at your own risk.
 * This generated code may be freely used for both private and commercial use
 * provided this copyright is maintained.
 */

#include "Print.h"
#include "FS.h"
#include "parseWAV.h"
#include "writeWAV.h"

// returns true if init OK
// if true input file open and magFile header written
// NOTE: input WAV files must both be 32bit samples  sampleFreq 4000, mono
// need not be the same length. wave_header returned is for outsideFile.
bool initWAVinput(const char* wavInsideFileName, const char* wavOutFileName, File &wavInsideFile, File &wavOutFile, pcm_wav_header_t &wave_header);
size_t readWAVsec(File &wavInsideFile, File &wavOutsideFile, pcm_wav_header_t &wave_header, float timeOffset, char* recInside,  char* recOutside, size_t rec_buffer_byteSize);
void setTestWAVinputDebugOut(Print *debugOut);

#endif
